-- MASV Schema Definitions
-- Novell Inc.
-- 122 East 1700 South
-- Provo, UT 84606-6194
--
-- VeRsIoN=MAC 1.0
-- CoPyRiGhT=(c) Copyright 2005, Novell, Inc.  All rights reserved.
--
-- Object ID (OID) is registered with Internal Schema Registration
-- as of 18 Jan 2000.
--
-- OIDs Defined as Follows:
--   joint-iso-ccitt(2) country(16) us(840) organization(1)
--   Novell(113719) applications(1) MASV(31)  MASVAttributeType(4) version # attr #         
--                                            MASVAttributeSyntax(5)
--                                            MASVObjectClass(6)
--

MASVSchemaExtentions DEFINITIONS ::=
BEGIN

-- --------------------------------------
-- Attribute replacement MASV Object
-- --------------------------------------

 "masvLabel" ATTRIBUTE ::=
 {
  Operation    ADD,
  SyntaxID     SYN_OCTET_STRING,
  Flags        {DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
  ASN1ObjID    {2 16 840 1 113719 1 31 4 2 3}
 }
 
 "masvProposedLabel" ATTRIBUTE ::=
 {
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 2 4}
 }
 
 "masvDefaultRange" ATTRIBUTE ::=
 {
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 2 5}
 }
 
 "masvAuthorizedRange" ATTRIBUTE ::=
 {
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 2 6}
 }
 
"masvDomainPolicy" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 2 7}
}

-- --------------------
-- New MASV Attributes
-- --------------------
"masvClearanceNames" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 8}
}

"masvLabelNames" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 9}
}

"masvLabelSecrecyLevelNames" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 10}
}

"masvLabelSecrecyCategoryNames" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 11}
}

"masvLabelIntegrityLevelNames" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 12}
}

"masvLabelIntegrityCategoryNames" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 13}
}

"masvPolicyUpdate" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_INTEGER,
  Flags         {DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 14}
}

"masvNDSAttributeLabels" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_OCTET_STRING,
  Flags         {DS_PUBLIC_READ, DS_SYNC_IMMEDIATE},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 16}
}

-- --------------------------------------
-- Attributes for the SAS:Security Object
-- --------------------------------------
"masvPolicyDN" ATTRIBUTE ::=
{
  Operation     ADD,
  SyntaxID      SYN_DIST_NAME,
  Flags         {DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
  ASN1ObjID     {2 16 840 1 113719 1 31 4 1 15}
}

-- ------------------------------
-- The MASV Object Class
-- ------------------------------

"MASV:Security Policy" OBJECT-CLASS ::=
{
  Operation     ADD,
  Flags         {DS_EFFECTIVE_CLASS},
  SubClassOf    {"Top"},
  ContainedBy   {"SAS:Security"},
  NamedBy       {"CN"},
  MustContain   {"CN"},
  MayContain    {"Description"},
  ASN1ObjID     {2 16 840 1 113719 1 31 6 2 1}
}
-- --------------------------------
-- Modification of Existing Classes
-- --------------------------------

  "Top" OBJECT-CLASS ::=
  {
    Operation    MODIFY,
    MayContain   {
    					"masvProposedLabel",
                  "masvDefaultRange",
                  "masvAuthorizedRange"}
  }
 
  "Partition" OBJECT-CLASS ::=
  {
   Operation     MODIFY,
   MayContain    {"masvLabel"}
  }
 
	"MASV:Security Policy" OBJECT-CLASS ::=
	{
	  Operation     MODIFY,
	  MayContain    {
  							"masvDomainPolicy",
	  						"masvPolicyUpdate",
							"masvClearanceNames",
							"masvLabelNames",
							"masvLabelSecrecyLevelNames",
							"masvLabelSecrecyCategoryNames",
							"masvLabelIntegrityLevelNames",
							"masvLabelIntegrityCategoryNames",
							"masvNDSAttributeLabels"
						 }
	}

	"SAS:Security" OBJECT-CLASS ::=
	{
     Operation		MODIFY,
	  MayContain	{
	                  "masvPolicyDN"
	               }
   }

 END


